Should this driver package be installed?
I am currently running ATI cards in crossfire mode with Cat 12.10.